C******************** START FILE GRFAH0.FOR ; GROUP GRFAH0 ******************
C  GRFAH0 - MAKE SCALED LABELED PLOT OF 1 OR 2 FCNS F(X)
C
C  REWRITTEN DMC FEB 1986 TO MAKE STANDARDIZED SUBROUTINE CALL
C
      SUBROUTINE GRFAH0(X,Y,N,XLAB,YLAB,ZTITL,IFIXD,ZFIXD)
C
      REAL X(N),Y(N)  ! PLOT DATA
C
C  UFILES STYLE LABELS FOR X, Y:  1ST 20 CHARS -- DATA LABEL;
C    LAST 10 CHARS -- PHYS. UNITS
C
      CHARACTER*30 XLAB,YLAB
C
C  PLOT TITLE LABEL
C
      CHARACTER*(*) ZTITL
C
C  FIXED PT DATA LABEL (OPTIONAL, PRESENT IF IFIXD=1)
C
      CHARACTER*(*) ZFIXD
C
      IF(IFIXD.EQ.1) THEN
        CALL GRAFX1(X,Y,N,XLAB(21:30),YLAB(21:30),
     >                ZTITL,ZFIXD,YLAB(1:20)//' VS. '//XLAB(1:20) )
      ELSE
        CALL GRAFX1(X,Y,N,XLAB(21:30),YLAB(21:30),
     >                ZTITL,' ',YLAB(1:20)//' VS. '//XLAB(1:20) )
      ENDIF
C
      RETURN
      END
C
C******************** END FILE GRFAH0.FOR ; GROUP GRFAH0 ******************
